<?php


namespace gp\controleurs;


use gp\modeles\Platform;
use gp\modeles\Game;
use gp\modeles\Company;
use gp\modeles\Deck;

class ControleurScript
{
    public function td1(){
        echo "script TD1";
        $tab=null;
        $tab[] = $this->gameByName('Mario')->get();
        $tab[] = $this->CompanyByCountry('Japan')->get();
        $tab[] = $this->platformByBase('10000000')->get();
        $tab[] = Game::skip(21173)->take(442)->get();
        $data = Game::simplePaginate(500);
        $s = "<p>--------------------------------------------------------<br>".
        "Jeu contenant dans leur nom 'Mario'<br>".
        "--------------------------------------------------------</p>";
        echo $s;
        foreach ($tab[0] as $game){
            echo ("<p>{$game->name}</p>");
        }
        $s= "<p>--------------------------------------------------------<br>".
            "Compagnies installées au 'Japon'<br>".
            "--------------------------------------------------------</p>";
        echo $s;
        foreach ($tab[1] as $company){
            echo ("<p>{$company->name}</p>");
        }
        $s = "<p>--------------------------------------------------------<br>".
            "Plateformes dont la base installée est >= 10 000 000<br>".
            "--------------------------------------------------------</p>";
        echo $s;
        foreach ($tab[2] as $plat){
            echo ("<p>{$plat->name}</p>");
        }
        $s = "<p>--------------------------------------------------------<br>".
            "liste de 442 jeux à partir du 21173ème<br>".
            "--------------------------------------------------------</p>";
        echo $s;
        foreach ($tab[3] as $game){
            echo ("<p>{$game->name}</p>");
        }
        $s = "<p>--------------------------------------------------------<br>".
            "liste des jeux en paginant (taille des pages : 500)<br>".
            "--------------------------------------------------------</p>";
        echo $s;
        $res = "";
        foreach ($data as $t){
            $res = $res . "<p>$t->name</p>";
        }
       $res = "<div class=\"container\">
                    $res
                </div>";
       echo $res;
    }

    private function gameByName($name){
        return Game::where("name", "like", "%{$name}%");
    }

    private function companyByCountry($country){
        return Company::where("location_country", "like", "{$country}");
    }

    private function platformByBase($base){
        return Platform::where("install_base", ">=", "{$base}");
    }
}